describe Project do

	context 'A project' do
		before(:all) do
			Dir.mkdir( SAMPLE )
			Dir.chdir( SAMPLE )
		end

		it 'should have template and configuration files' do
			RuGPost::Project.init( [SAMPLE] )
			File.exists?( SAMPLE ).should be true
			File.exists?( CONFIG ).should be true
			File.exists?( TEMPLATE ).should be true
			( YAML.load_file( TEMPLATE ).to_yaml ).should match template_meta
		end

		it 'should set configuration value' do
			RuGPost::Project.config([],{:gmail=>'mygmail'})
			YAML.load_file( CONFIG )[:gmail].should match 'mygmail'
			RuGPost::Project.config([],{:gmail=>'project'})
			YAML.load_file( CONFIG )[:gmail].should match 'project'
		end
	end

	context 'Creating a repository' do
		it 'should create rugpost repo' do
			RuGPost::Project.add_repo(['rugpost'])
			items=Dir.glob("*")
			items.should include('rugpost')
			substruct = Dir.glob("*/*") 
			substruct.should include('rugpost/drafts')
			substruct.should include('rugpost/published')
			published = Dir.glob("*/*/*")
			published.should include('rugpost/published/source')
			published.should include('rugpost/published/output')
			lambda {RuGPost::Project.add_repo( ['rugpost'] )}.should raise_exception
			lambda {RuGPost::Project.add_repo( [] )}.should raise_exception
		end
	end
end
